package EFS::CLI::Dependents;

use strict;
use warnings;
use English;

use base q{EFS::CLI};
use base q{EFS::DBI};
use Params::Validate qw( :all );

sub showtree {
    my $class = shift;
    return EFS::CLI::Dependency->showtree( @_, kind => q{dependents} );
}

sub display {

    my $class = shift;

    my (%args) = validate( @_, {
        %EFS::CLI::validate_common,
        metaproj => { type => SCALAR, optional => 1 },
        project  => { type => SCALAR, optional => 1 },
        release  => { type => SCALAR, optional => 1 },
        type     => { type => SCALAR, optional => 1 },
        direct   => { type => SCALAR, optional => 1 },
    });

    return EFS::CLI::Dependency->display(%args);

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
