package EFS::DBI::Result::Business;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{business} );

__PACKAGE__->add_columns( qw( name description ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{business_seq} );

__PACKAGE__->has_many( divisions => q{EFS::DBI::Result::Division} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::BusinessAttrs} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
