package EFS::DBI::Result::Division;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{division} );

__PACKAGE__->add_columns( qw( business name description ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{division_seq} );

__PACKAGE__->belongs_to( business => q{EFS::DBI::Result::Business} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::DivisionAttrs} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
