package EFS::DBI::Result::EFSServerAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{efsserver_attrs} );

__PACKAGE__->add_columns( qw( efsserver name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{efsserver_attrs_seq} );

__PACKAGE__->belongs_to( efsserver => q{EFS::DBI::Result::EFSServer} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
