package EFS::DBI::Result::PlatformInstanceAlias;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{platform_instance_alias} );

__PACKAGE__->add_columns( qw( name platforminstance ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{platform_instance_alias_seq} );

__PACKAGE__->belongs_to( platforminstance => q{EFS::DBI::Result::PlatformInstance} );

sub aliasof {
    return shift->platforminstance;
}

sub installs {
    my $self = shift;
    my $install_rs = $self->get_resultset( q{Install} );
    return $install_rs->search({ name => $self->name });
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
