package EFS::DBI::Result::RegionAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{region_attrs} );

__PACKAGE__->add_columns( qw( region name value ) );
__PACKAGE__->add_columns(
    id => {
        __PACKAGE__->get_id_column_attrs,
    },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{region_attrs_seq} );

__PACKAGE__->belongs_to( region => q{EFS::DBI::Result::Region} );

sub object_id {
    my $self = shift;
    return join q{/}, $self->region->name, $self->name;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
