#!/usr/bin/env perl
use strict;
use warnings;
use English;

use lib q{test/lib};
use EFS::Test;

use Test::More tests => 1;

my $test = EFS::Test->new( as_user => q{efsops} );

my $datere = q{\d+-\d+-\d+\s+\d+:\d+:\d+};

$test->efs_test_command(
    command => q{efs showcerts sslserver},
    expect => [
        qr{Root\s+Certificate}msx,
        qr{Issued\s+Expires\s+Days_Left}msx,
        qr{=+}msx,
        qr{$datere \s+ $datere \s+ \d+}msx,
        qr{Active\s+Server\s+Certificates}msx,
        qr{Serial\s+EFSServer\s+Expires\s+Days_Left}msx,
        qr{=+}msx,
        qr{\d+\s+\S+\s+$datere\s+\d+}msx,
        qr{\d+\s+\S+\s+$datere\s+\d+}msx,
        qr{Revoked\s+Server\s+Certificates}msx,
        qr{Serial\s+EFSServer\s+Expires\s+Revoked\s+Days_Left}msx,
        qr{=+}msx,
        qr{\d+\s+\S+\s+$datere\s+$datere\s+\d+}msx,
        qr{\d+\s+\S+\s+$datere\s+$datere\s+\d+}msx,
    ],
);

