#!/usr/bin/env perl

use strict;
use warnings;
use English;

use lib q{test/lib};
use EFS::Test;
use EFS::Test::Config;

use Test::More tests => 10;

my $test = EFS::Test->new( as_user => q{efsops} );

my $dbfile = q{/efs/dev/efs/config-database/bootstrap/install/common/efs.db};

my @commands = (
    q{efs create metaproj efs efsops efsops},
    q{efs create project efs config-efsserver},
    q{efs create project efs config-automaps},
    q{efs create project efs config-namespace},
    q{efs create project efs config-database},
    q{efs create release efs config-database bootstrap},
    q{efs create install efs config-database bootstrap common},
    qq{rm -f $dbfile},
    qq{./util/efs_bootstrap_database -connect 'dbi:SQLite:dbname=$dbfile'},
    q{efs create releasealias efs config-database current bootstrap},
);

foreach my $command ( @commands ) {
    $test->efs_test_command(
        command => $command,
        bail => 1,
    );
}

1;
